apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  labels:
    app: apigateway
  name: apigateway
  namespace: default
spec:
  selector:
    matchLabels:
      app: apigateway
  template:
    metadata:
      labels:
        app: apigateway
    spec:
      containers:
      - image: localhost:32002/gateway:dev
        imagePullPolicy: IfNotPresent
        name: apigateway
        env:
        - name: CATALOG_SERVICE
          value: "http://catalogservice:8080"
        - name: USER_SERVICE
          value: "http://userservice:8080"
        - name: AUTH_SERVICE
          value: "http://authservice:8080"
